Package org.eclipse.rdf4j.query.algebra.evaluation.impl.evaluationsteps

## Class ZeroLengthPathEvaluationStep

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.evaluation.impl.evaluationsteps.ZeroLengthPathEvaluationStep

- All Implemented Interfaces:
    `QueryEvaluationStep`

      public final class ZeroLengthPathEvaluationStep
      extends Object
      implements QueryEvaluationStep

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.rdf4j.query.algebra.evaluation.QueryEvaluationStep

      `QueryEvaluationStep.DelayedEvaluationIteration`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ZeroLengthPathEvaluationStep​(Var subjectVar, Var objVar, Var contextVar, QueryValueEvaluationStep subPrep, QueryValueEvaluationStep objPrep, EvaluationStrategy strategy, QueryEvaluationContext context)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CloseableIteration<BindingSet,​QueryEvaluationException>` | `evaluate​(BindingSet bindings)` |
    `protected ZeroLengthPathIteration` | `getZeroLengthPathIterator​(BindingSet bindings, Var subjectVar, Var objVar, Var contextVar, Value subj, Value obj, QueryEvaluationContext context)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ZeroLengthPathEvaluationStep

          public ZeroLengthPathEvaluationStep​(Var subjectVar,
                                              Var objVar,
                                              Var contextVar,
                                              QueryValueEvaluationStep subPrep,
                                              QueryValueEvaluationStep objPrep,
                                              EvaluationStrategy strategy,
                                              QueryEvaluationContext context)

  - ### Method Detail

    - #### evaluate

          public CloseableIteration<BindingSet,​QueryEvaluationException> evaluate​(BindingSet bindings)

      Specified by:
        `evaluate` in interface `QueryEvaluationStep`

    - #### getZeroLengthPathIterator

          protected ZeroLengthPathIteration getZeroLengthPathIterator​(BindingSet bindings,
                                                                      Var subjectVar,
                                                                      Var objVar,
                                                                      Var contextVar,
                                                                      Value subj,
                                                                      Value obj,
                                                                      QueryEvaluationContext context)